name: Build and Test with Maven
on:
  push:
    branches-ignore:
      - master

jobs:
  Build-and-test-with-Maven:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository code
        uses: actions/checkout@v3
      - name: Install maven
        run: |
          apt update
          apt install -y maven
      - name: Install java
        uses: actions/setup-java@v4
        with:
          distribution: 'temurin'
          java-version: '25'
          cache: 'maven'
      - name: Compile project
        run: |
          mvn compile
      - name: Run tests
        run: |
          mvn test
